| Home | Libraries | People | FAQ | More

## Macro BOOST_VMD_EMPTY

BOOST_VMD_EMPTY — Outputs emptiness.

## Synopsis

    // In header: <boost/vmd/empty.hpp>

    BOOST_VMD_EMPTY(...)

## Description

... = any variadic parameters. The parameters are ignored.

This macro is used to output emptiness ( nothing ) no matter what is passed to it.

If you use this macro to return a result, as in 'result BOOST_VMD_EMPTY' subsequently invoked, you should surround the result with BOOST_VMD_IDENTITY_RESULT to smooth over a VC++ problem.